#!/bin/bash

if [ $# -eq 0 ] || [ "$1" == "-help" ]; then
	echo 'usage: patch-patch-plugins.sh [FILE|DIR]...'
	echo To print the plugins in use by Multi or Single patch FILE
	echo or by all the files in DIR
	exit 1
fi

SEPARATE=

function file-print()
{
	if [ "$SEPARATE" ]; then
		echo $SEPARATE
	else
		SEPARATE=" "
	fi

	echo "Patch: $1"
	cat "$1" | tr '\000' '\n' | tr -c -d '[:print:]\n' | tr -s '\n' |
			grep -A1 vstName | sed -e '/vstName/D' -e '/--/D' -e 's/\(.*\)/   \1/' | 
			uniq
	return
}

function dir-print()
{
	(cd "$1" && ls -1 | while read FILE; do file-print "$FILE"; done)
	return
}

while [ $# -ne 0 ]; do
	if [ -d "$1" ]; then
		dir-print "$1"
	elif [ -f "$1" ]; then
		file-print "$1"
	fi
	shift
done
