#!/bin/sh

USAGE=0

if [ $# != 1 ] ; then 
	USAGE=1
elif [ "$1" == "print" ]; then
	if /usr/bin/regedit /E /c/windows/Temp/muse-winedbg 'HKEY_LOCAL_MACHINE\Software\Microsoft\Windows NT\CurrentVersion\AeDebug'; then
		cat /c/windows/Temp/muse-winedbg
	else
		echo no debbugger setting
	fi
else
	# header, as regedit expects
	echo "REGEDIT4" > /c/windows/Temp/muse-winedbg-regedit
	echo >> /c/windows/Temp/muse-winedbg-regedit
	echo "[HKEY_LOCAL_MACHINE\\Software\\Microsoft\\Windows NT\\CurrentVersion\\AeDebug]" >> /c/windows/Temp/muse-winedbg-regedit

	if  [ "$1" == "on" ] ; then
		echo '"Auto"="1"' >> /c/windows/Temp/muse-winedbg-regedit
		echo '"Debugger"="winedbg.exe %ld %ld"' >> /c/windows/Temp/muse-winedbg-regedit
	elif  [ "$1" == "off" ] ; then
		echo '"Auto"="1"' >> /c/windows/Temp/muse-winedbg-regedit
		echo '"Debugger"="restart-receptor.exe -wine-pid=%ld"' >> /c/windows/Temp/muse-winedbg-regedit
	elif [ "$1" == "prompt" ] ; then
		echo '"Auto"="0"' >> /c/windows/Temp/muse-winedbg-regedit
		echo '"Debugger"="winedbg.exe %ld %ld"' >> /c/windows/Temp/muse-winedbg-regedit
	elif  [ "$1" == "dump" ] ; then
		echo '"Auto"="1"' >> /c/windows/Temp/muse-winedbg-regedit
		echo '"Debugger"="winedbg.exe --auto %ld %ld"' >> /c/windows/Temp/muse-winedbg-regedit
	else
		USAGE=1
	fi

	if [ $USAGE == 0 ] ; then
		/usr/bin/regedit /c/windows/Temp/muse-winedbg-regedit
	fi
fi
	
if [ $USAGE != 0 ] ; then
	echo "usage: muse-winedbg COMMAND"
	echo "Controls the winedbg setting in the Wine registry"
	echo "COMMAND:"
	echo "    on      turns winedbg on, running it automatically"
	echo "    off     turns winedbg off, calls restart-receptor on crash (Receptor default)"
	echo "    prompt  turns winedbg on, in interactive mode"
	echo "    dump    turns winedbg on, in dump-and-quit mode"
	echo "    print   prints out the current registry setting"
	exit 1
fi

exit 0
