#!/bin/sh
#
# default-receptor-name.sh
# 
# Print the default receptor name to stdout, based on system MAC address

# get the low six bytes of the MAC address from eth0
MAC_STR=`/sbin/ip -o link show eth0 | \
		sed -e 's/.*link\/ether \([[:alnum:]:]*\).*/\1/' -e 's/\://g' |
		cut --bytes 7-`
if [ -z "$MAC_STR" ]; then
	echo "error: can't find MAC address"
	exit 1
fi
declare -i MAC=0x$MAC_STR

# set the host name based on the last six digits of the serial number
declare -i MAC_NAME=$MAC%1000000
printf "Receptor-%06d" $MAC_NAME
