#!/bin/bash
#
# rename-receptor.sh - do everything needed to change a receptor name
#

# args set these values
NEWNAME=
USAGE=

if [ $# -eq 0 ] || [ $# -gt 1 ]; then
	USAGE=yes
elif [ $# -eq 1 ]; then
	NEWNAME=$1
else
	USAGE=yes
fi

# usage
if [ "$USAGE" ]; then
	echo "usage: rename-receptor.sh NAME"
	echo "Changes the host name to NAME and updates all services as needed"
	exit 1
fi

# from name, to name 
OLDNAME=`hostname | cut -d . -f 1`
if [ "$OLDNAME" = "$NEWNAME" ]; then
	exit 0
fi

# update the hostname
if ! hostname "$NEWNAME"; then
	exit 1
fi

TEMPNAME=`mktemp /tmp/rename-XXXXXX` || (echo "mktemp failed" && exit 1)

# write the host name in to the network config file
sed "s/HOSTNAME=.*/HOSTNAME=\"$NEWNAME\"/" /etc/sysconfig/network > $TEMPNAME
if ! diff -q /etc/sysconfig/network $TEMPNAME > /dev/null; then
	mv -f $TEMPNAME /etc/sysconfig/network
else
	echo "error: update of /etc/sysconfig/network failed"
fi

# appletalk needs special help
/usr/bin/rename-atalk.sh "$NEWNAME"

exit 0
