#!/bin/bash

# rpm-update-new.sh - run rpm -U on all new RPM files

if [ $# -eq 0 ]; then
	echo "usage: rpm-update-new.sh FILE..."
	echo "Runs rpm -Uv on all RPM FILEs new or newer than what is installed."
	echo "Print already installed files and file errors to stderr."
	exit 1
fi

while [ $# -ne 0 ]; do
	# todo: filter out lines reading "is already installed" from stderr?
	if rpm -U --test $1 > /dev/null; then
		echo $1
	fi
	shift
done | xargs rpm -Uv

# rpm's return value
 exit $?
