#!/bin/bash
if [ $# -lt 1 ]; then
	echo "usage: validate-plugin.sh PLUGIN"
	echo "Prepares PLUGIN for inclusion in receptor, building necessary"
	echo "supporting files. Failed validations are marked by creation of"
	echo "file PLUGIN-FAILED."
	exit 0
fi

MAKE_INFO_CACHE="wine make-info-cache.exe"

PLUGIN="$1"

BASE=`basename "$PLUGIN"`
BASE=${BASE%.dll}
DIR=`dirname "$PLUGIN"`
INFO_CACHE="$DIR/$BASE-info-cache.xml"
MUSE_LOCK="$DIR/.$BASE-muse-lock.xml"
SIGNATURE="$DIR/.$BASE-sign.xml"

rm -f "$INFO_CACHE" "$MUSE_LOCK" "$SIGNATURE"

# instantiates and generates the support files --- capture both stdout/err.
# make-info-cache prints a message for any error it finds. Exclude extensive 
# dbghelp messages from winedbg --auto

# todo - run without signatures until pace trouble is resolved
# if ! WINEDEBUG=fixme-dbghelp $MAKE_INFO_CACHE -sign "$PLUGIN"; then
if ! WINEDEBUG=fixme-dbghelp $MAKE_INFO_CACHE -sign "$PLUGIN"; then
 exit 1
fi

# check for failure
# todo - run without signatures until pace trouble is resolved
# if ! ls "$INFO_CACHE" "$MUSE_LOCK" "$SIGNATURE" > /dev/null 2>&1; then
if ! ls "$INFO_CACHE" "$MUSE_LOCK" > /dev/null 2>&1; then
  exit 1
fi

exit 0
