/*
 * Copyright 2004 Jacek Caban
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __MSHTMDID_H__
#define __MSHTMDID_H__

#define DISPID_NORMAL_FIRST     1000
#define DISPID_OMDOCUMENT       DISPID_NORMAL_FIRST
#define DISPID_ANCHOR           DISPID_NORMAL_FIRST
#define DISPID_BLOCK            DISPID_NORMAL_FIRST
#define DISPID_BR               DISPID_NORMAL_FIRST
#define DISPID_BGSOUND          DISPID_NORMAL_FIRST
#define DISPID_DD               DISPID_NORMAL_FIRST
#define DISPID_DIR              DISPID_NORMAL_FIRST
#define DISPID_DIV              DISPID_NORMAL_FIRST
#define DISPID_DL               DISPID_NORMAL_FIRST
#define DISPID_DT               DISPID_NORMAL_FIRST
#define DISPID_EFONT            DISPID_NORMAL_FIRST
#define DISPID_FORM             DISPID_NORMAL_FIRST
#define DISPID_HEADER           DISPID_NORMAL_FIRST
#define DISPID_HEDELEMS         DISPID_NORMAL_FIRST
#define DISPID_HR               DISPID_NORMAL_FIRST
#define DISPID_LABEL            DISPID_NORMAL_FIRST
#define DISPID_LI               DISPID_NORMAL_FIRST
#define DISPID_IMGBASE          DISPID_NORMAL_FIRST
#define DISPID_MENU             DISPID_NORMAL_FIRST
#define DISPID_OL               DISPID_NORMAL_FIRST
#define DISPID_PARA             DISPID_NORMAL_FIRST
#define DISPID_SELECT           DISPID_NORMAL_FIRST
#define DISPID_SELECTOBJ        DISPID_NORMAL_FIRST
#define DISPID_TABLE            DISPID_NORMAL_FIRST
#define DISPID_TEXTSITE         DISPID_NORMAL_FIRST
#define DISPID_UL               DISPID_NORMAL_FIRST
#define DISPID_PHRASE           DISPID_NORMAL_FIRST
#define DISPID_UNKNOWNPDL       DISPID_NORMAL_FIRST
#define DISPID_COMMENTPDL       DISPID_NORMAL_FIRST
#define DISPID_RANGE            DISPID_NORMAL_FIRST
#define DISPID_SELECTION        DISPID_NORMAL_FIRST
#define DISPID_OPTION           DISPID_NORMAL_FIRST
#define DISPID_RANGE            DISPID_NORMAL_FIRST
#define DISPID_SELECTION        DISPID_NORMAL_FIRST
#define DISPID_OPTION           DISPID_NORMAL_FIRST
#define DISPID_RANGE            DISPID_NORMAL_FIRST
#define DISPID_SELECTION        DISPID_NORMAL_FIRST
#define DISPID_OPTION           DISPID_NORMAL_FIRST
#define DISPID_RANGE            DISPID_NORMAL_FIRST
#define DISPID_SELECTION        DISPID_NORMAL_FIRST
#define DISPID_OPTION           DISPID_NORMAL_FIRST
#define DISPID_RANGE            DISPID_NORMAL_FIRST
#define DISPID_SELECTION        DISPID_NORMAL_FIRST
#define DISPID_OPTION           DISPID_NORMAL_FIRST
#define DISPID_MAP              DISPID_NORMAL_FIRST
#define DISPID_AREA             DISPID_NORMAL_FIRST
#define DISPID_PARAM            DISPID_NORMAL_FIRST
#define DISPID_TABLESECTION     DISPID_NORMAL_FIRST
#define DISPID_TABLEROW         DISPID_NORMAL_FIRST
#define DISPID_TABLECOL         DISPID_NORMAL_FIRST
#define DISPID_SCRIPT           DISPID_NORMAL_FIRST
#define DISPID_STYLESHEET       DISPID_NORMAL_FIRST
#define DISPID_STYLERULE        DISPID_NORMAL_FIRST
#define DISPID_STYLESHEETS_COL  DISPID_NORMAL_FIRST
#define DISPID_STYLERULES_COL   DISPID_NORMAL_FIRST
#define DISPID_MIMETYPES_COL    DISPID_NORMAL_FIRST
#define DISPID_PLUGINS_COL      DISPID_NORMAL_FIRST
#define DISPID_2D               DISPID_NORMAL_FIRST
#define DISPID_OMWINDOW         DISPID_NORMAL_FIRST
#define DISPID_EVENTOBJ         DISPID_NORMAL_FIRST
#define DISPID_OLESITE          DISPID_NORMAL_FIRST
#define DISPID_FRAMESET         DISPID_NORMAL_FIRST
#define DISPID_LINK             DISPID_NORMAL_FIRST
#define DISPID_STYLEELEMENT     DISPID_NORMAL_FIRST
#define DISPID_FILTERS          DISPID_NORMAL_FIRST
#define DISPID_TABLESECTION     DISPID_NORMAL_FIRST
#define DISPID_OMDOCUMENT       DISPID_NORMAL_FIRST
#define DISPID_SCREEN           DISPID_NORMAL_FIRST

#define DISPID_COLLECTION      (DISPID_NORMAL_FIRST+500)
#define DISPID_IMG             (DISPID_IMGBASE+1000)
#define DISPID_INPUTIMAGE      (DISPID_IMGBASE+1000)
#define DISPID_INPUT           (DISPID_TEXTSITE+1000)
#define DISPID_TABLECELL       (DISPID_TEXTSITE+1000)
#define DISPID_1D              (DISPID_TEXTSITE+1000)
#define DISPID_BODY            (DISPID_TEXTSITE+1000)
#define DISPID_INPUTTEXTBASE   (DISPID_INPUT+1000)
#define DISPID_INPUTTEXT       (DISPID_INPUTTEXTBASE+1000)
#define DISPID_TEXTAREA        (DISPID_INPUTTEXT+1000)
#define DISPID_MARQUEE         (DISPID_TEXTAREA+1000)

#define DISPID_XOBJ_MIN       0x80010000
#define DISPID_XOBJ_MAX       0x8001FFFF
#define DISPID_XOBJ_BASE      DISPID_XOBJ_MIN
#define DISPID_HTMLOBJECT     (DISPID_XOBJ_BASE+500)
#define DISPID_ELEMENT        (DISPID_HTMLOBJECT+500)
#define DISPID_SITE           (DISPID_ELEMENT+1000)
#define DISPID_OBJECT         (DISPID_SITE+1000)
#define DISPID_STYLE          (DISPID_OBJECT+1000)
#define DISPID_ATTRS          (DISPID_STYLE+1000)
#define DISPID_EVENTS         (DISPID_ATTRS+1000)
#define DISPID_XOBJ_EXPANDO   (DISPID_EVENTS+1000)
#define DISPID_XOBJ_ORDINAL   (DISPID_XOBJ_EXPANDO+1000)

#define DISPID_WINDOW      1
#define DISPID_HISTORY     1
#define DISPID_LOCATION    1
#define DISPID_NAVIGATOR   1

#define STDPROPID_XOBJ_NAME              (DISPID_XOBJ_BASE+0)
#define STDPROPID_XOBJ_INDEX             (DISPID_XOBJ_BASE+1)
#define STDPROPID_XOBJ_BASEHREF          (DISPID_XOBJ_BASE+2)
#define STDPROPID_XOBJ_LEFT              (DISPID_XOBJ_BASE+3)
#define STDPROPID_XOBJ_TOP               (DISPID_XOBJ_BASE+4)
#define STDPROPID_XOBJ_WIDTH             (DISPID_XOBJ_BASE+5)
#define STDPROPID_XOBJ_HEIGHT            (DISPID_XOBJ_BASE+6)
#define STDPROPID_XOBJ_VISIBLE           (DISPID_XOBJ_BASE+7)
#define STDPROPID_XOBJ_PARENT            (DISPID_XOBJ_BASE+8)
#define STDPROPID_XOBJ_DRAGMODE          (DISPID_XOBJ_BASE+9)
#define STDPROPID_XOBJ_DRAGICON          (DISPID_XOBJ_BASE+10)
#define STDPROPID_XOBJ_TAG               (DISPID_XOBJ_BASE+11)
#define STDPROPID_XOBJ_TABSTOP           (DISPID_XOBJ_BASE+14)
#define STDPROPID_XOBJ_TABINDEX          (DISPID_XOBJ_BASE+15)
#define STDPROPID_XOBJ_HELPCONTEXTID     (DISPID_XOBJ_BASE+50)
#define STDPROPID_XOBJ_DEFAULT           (DISPID_XOBJ_BASE+55)
#define STDPROPID_XOBJ_CANCEL            (DISPID_XOBJ_BASE+56)
#define STDPROPID_XOBJ_LEFTNORUN         (DISPID_XOBJ_BASE+57)
#define STDPROPID_XOBJ_TOPNORUN          (DISPID_XOBJ_BASE+58)
#define STDPROPID_XOBJ_ALIGNPERSIST      (DISPID_XOBJ_BASE+60)
#define STDPROPID_XOBJ_LINKTIMEOUT       (DISPID_XOBJ_BASE+61)
#define STDPROPID_XOBJ_LINKTOPIC         (DISPID_XOBJ_BASE+62)
#define STDPROPID_XOBJ_LINKITEM          (DISPID_XOBJ_BASE+63)
#define STDPROPID_XOBJ_LINKMODE          (DISPID_XOBJ_BASE+64)
#define STDPROPID_XOBJ_DATACHANGED       (DISPID_XOBJ_BASE+65)
#define STDPROPID_XOBJ_DATAFIELD         (DISPID_XOBJ_BASE+66)
#define STDPROPID_XOBJ_DATASOURCE        (DISPID_XOBJ_BASE+67)
#define STDPROPID_XOBJ_WHATSTHISHELPID   (DISPID_XOBJ_BASE+68)
#define STDPROPID_XOBJ_CONTROLTIPTEXT    (DISPID_XOBJ_BASE+69)
#define STDPROPID_XOBJ_STATUSBARTEXT     (DISPID_XOBJ_BASE+70)
#define STDPROPID_XOBJ_APPLICATION       (DISPID_XOBJ_BASE+71)
#define STDPROPID_XOBJ_BLOCKALIGN        (DISPID_XOBJ_BASE+72)
#define STDPROPID_XOBJ_CONTROLALIGN      (DISPID_XOBJ_BASE+73)
#define STDPROPID_XOBJ_STYLE             (DISPID_XOBJ_BASE+74)
#define STDPROPID_XOBJ_COUNT             (DISPID_XOBJ_BASE+75)
#define STDPROPID_XOBJ_DISABLED          (DISPID_XOBJ_BASE+76)

#define DISPID_A_FIRST                       DISPID_ATTRS
#define DISPID_A_BACKGROUNDIMAGE             (DISPID_A_FIRST+1)
#define DISPID_A_COLOR                       (DISPID_A_FIRST+2)
#define DISPID_A_TEXTTRANSFORM               (DISPID_A_FIRST+4)
#define DISPID_A_NOWRAP                      (DISPID_A_FIRST+5)
#define DISPID_A_LINEHEIGHT                  (DISPID_A_FIRST+6)
#define DISPID_A_TEXTINDENT                  (DISPID_A_FIRST+7)
#define DISPID_A_LETTERSPACING               (DISPID_A_FIRST+8)
#define DISPID_A_LANG                        (DISPID_A_FIRST+9)
#define DISPID_A_OVERFLOW                    (DISPID_A_FIRST+10)
#define DISPID_A_PADDING                     (DISPID_A_FIRST+11)
#define DISPID_A_PADDINGTOP                  (DISPID_A_FIRST+12)
#define DISPID_A_PADDINGRIGHT                (DISPID_A_FIRST+13)
#define DISPID_A_PADDINGBOTTOM               (DISPID_A_FIRST+14)
#define DISPID_A_PADDINGLEFT                 (DISPID_A_FIRST+15)
#define DISPID_A_CLEAR                       (DISPID_A_FIRST+16)
#define DISPID_A_LISTTYPE                    (DISPID_A_FIRST+17)
#define DISPID_A_FONTFACE                    (DISPID_A_FIRST+18)
#define DISPID_A_FONTSIZE                    (DISPID_A_FIRST+19)
#define DISPID_A_TEXTDECORATIONLINETHROUGH   (DISPID_A_FIRST+20)
#define DISPID_A_TEXTDECORATIONUNDERLINE     (DISPID_A_FIRST+21)
#define DISPID_A_TEXTDECORATIONBLINK         (DISPID_A_FIRST+22)
#define DISPID_A_TEXTDECORATIONNONE          (DISPID_A_FIRST+23)
#define DISPID_A_FONTSTYLE                   (DISPID_A_FIRST+24)
#define DISPID_A_FONTVARIANT                 (DISPID_A_FIRST+25)
#define DISPID_A_BASEFONT                    (DISPID_A_FIRST+26)
#define DISPID_A_FONTWEIGHT                  (DISPID_A_FIRST+27)
#define DISPID_A_TABLEBORDERCOLOR            (DISPID_A_FIRST+28)
#define DISPID_A_TABLEBORDERCOLORLIGHT       (DISPID_A_FIRST+29)
#define DISPID_A_TABLEBORDERCOLORDARK        (DISPID_A_FIRST+30)
#define DISPID_A_TABLEVALIGN                 (DISPID_A_FIRST+31)
#define DISPID_A_BACKGROUND                  (DISPID_A_FIRST+32)
#define DISPID_A_BACKGROUNDPOSX              (DISPID_A_FIRST+33)
#define DISPID_A_BACKGROUNDPOSY              (DISPID_A_FIRST+34)
#define DISPID_A_TEXTDECORATION              (DISPID_A_FIRST+35)
#define DISPID_A_MARGIN                      (DISPID_A_FIRST+36)
#define DISPID_A_MARGINTOP                   (DISPID_A_FIRST+37)
#define DISPID_A_MARGINRIGHT                 (DISPID_A_FIRST+38)
#define DISPID_A_MARGINBOTTOM                (DISPID_A_FIRST+39)
#define DISPID_A_MARGINLEFT                  (DISPID_A_FIRST+40)
#define DISPID_A_FONT                        (DISPID_A_FIRST+41)
#define DISPID_A_FONTSIZEKEYWORD             (DISPID_A_FIRST+42)
#define DISPID_A_FONTSIZECOMBINE             (DISPID_A_FIRST+43)
#define DISPID_A_BACKGROUNDREPEAT            (DISPID_A_FIRST+44)
#define DISPID_A_BACKGROUNDATTACHMENT        (DISPID_A_FIRST+45)
#define DISPID_A_BACKGROUNDPOSITION          (DISPID_A_FIRST+46)
#define DISPID_A_WORDSPACING                 (DISPID_A_FIRST+47)
#define DISPID_A_VERTICALALIGN               (DISPID_A_FIRST+48)
#define DISPID_A_BORDER                      (DISPID_A_FIRST+49)
#define DISPID_A_BORDERTOP                   (DISPID_A_FIRST+50)
#define DISPID_A_BORDERRIGHT                 (DISPID_A_FIRST+51)
#define DISPID_A_BORDERBOTTOM                (DISPID_A_FIRST+52)
#define DISPID_A_BORDERLEFT                  (DISPID_A_FIRST+53)
#define DISPID_A_BORDERCOLOR                 (DISPID_A_FIRST+54)
#define DISPID_A_BORDERTOPCOLOR              (DISPID_A_FIRST+55)
#define DISPID_A_BORDERRIGHTCOLOR            (DISPID_A_FIRST+56)
#define DISPID_A_BORDERBOTTOMCOLOR           (DISPID_A_FIRST+57)
#define DISPID_A_BORDERLEFTCOLOR             (DISPID_A_FIRST+58)
#define DISPID_A_BORDERWIDTH                 (DISPID_A_FIRST+59)
#define DISPID_A_BORDERTOPWIDTH              (DISPID_A_FIRST+60)
#define DISPID_A_BORDERRIGHTWIDTH            (DISPID_A_FIRST+61)
#define DISPID_A_BORDERBOTTOMWIDTH           (DISPID_A_FIRST+62)
#define DISPID_A_BORDERLEFTWIDTH             (DISPID_A_FIRST+63)
#define DISPID_A_BORDERSTYLE                 (DISPID_A_FIRST+64)
#define DISPID_A_BORDERTOPSTYLE              (DISPID_A_FIRST+65)
#define DISPID_A_BORDERRIGHTSTYLE            (DISPID_A_FIRST+66)
#define DISPID_A_BORDERBOTTOMSTYLE           (DISPID_A_FIRST+67)
#define DISPID_A_BORDERLEFTSTYLE             (DISPID_A_FIRST+68)
#define DISPID_A_TEXTDECORATIONOVERLINE      (DISPID_A_FIRST+69)
#define DISPID_A_FLOAT                       (DISPID_A_FIRST+70)
#define DISPID_A_DISPLAY                     (DISPID_A_FIRST+71)
#define DISPID_A_LISTSTYLETYPE               (DISPID_A_FIRST+72)
#define DISPID_A_LISTSTYLEPOSITION           (DISPID_A_FIRST+73)
#define DISPID_A_LISTSTYLEIMAGE              (DISPID_A_FIRST+74)
#define DISPID_A_LISTSTYLE                   (DISPID_A_FIRST+75)
#define DISPID_A_WHITESPACE                  (DISPID_A_FIRST+76)
#define DISPID_A_PAGEBREAKBEFORE             (DISPID_A_FIRST+77)
#define DISPID_A_PAGEBREAKAFTER              (DISPID_A_FIRST+78)
#define DISPID_A_SCROLL                      (DISPID_A_FIRST+79)
#define DISPID_A_VISIBILITY                  (DISPID_A_FIRST+80)
#define DISPID_A_HIDDEN                      (DISPID_A_FIRST+81)
#define DISPID_A_FILTER                      (DISPID_A_FIRST+82)
#define DISPID_DEFAULTVALUE                  (DISPID_A_FIRST+83)
#define DISPID_A_POSITION                    (DISPID_A_FIRST+90)
#define DISPID_A_ZINDEX                      (DISPID_A_FIRST+91)
#define DISPID_A_CLIP                        (DISPID_A_FIRST+92)
#define DISPID_A_CLIPRECTTOP                 (DISPID_A_FIRST+93)
#define DISPID_A_CLIPRECTRIGHT               (DISPID_A_FIRST+94)
#define DISPID_A_CLIPRECTBOTTOM              (DISPID_A_FIRST+95)
#define DISPID_A_CLIPRECTLEFT                (DISPID_A_FIRST+96)
#define DISPID_A_FONTFACESRC                 (DISPID_A_FIRST+97)
#define DISPID_A_STYLETEXT                   (DISPID_A_FIRST+99)
#define DISPID_A_LANGUAGE                    (DISPID_A_FIRST+100)
#define DISPID_A_VALUE                       (DISPID_A_FIRST+101)
#define DISPID_A_CURSOR                      (DISPID_A_FIRST+102)

#define DISPID_WINDOWOBJECT          (-5500)
#define DISPID_LOCATIONOBJECT        (-5506)
#define DISPID_HISTORYOBJECT         (-5507)
#define DISPID_NAVIGATOROBJECT       (-5508)
#define DISPID_SECURITYCTX           (-5511)
#define DISPID_AMBIENT_DLCONTROL     (-5512)
#define DISPID_AMBIENT_USERAGENT     (-5513)
#define DISPID_SECURITYDOMAIN        (-5514)

#define DLCTL_DLIMAGES               0x00000010
#define DLCTL_VIDEOS                 0x00000020
#define DLCTL_BGSOUNDS               0x00000040
#define DLCTL_NO_SCRIPTS             0x00000080
#define DLCTL_NO_JAVA                0x00000100
#define DLCTL_NO_RUNACTIVEXCTLS      0x00000200
#define DLCTL_NO_DLACTIVEXCTLS       0x00000400
#define DLCTL_DOWNLOADONLY           0x00000800
#define DLCTL_NO_FRAMEDOWNLOAD       0x00001000
#define DLCTL_RESYNCHRONIZE          0x00002000
#define DLCTL_PRAGMA_NO_CACHE        0x00004000
#define DLCTL_FORCEOFFLINE           0x10000000
#define DLCTL_NO_CLIENTPULL          0x20000000
#define DLCTL_SILENT                 0x40000000
#define DLCTL_OFFLINEIFNOTCONNECTED  0x80000000
#define DLCTL_OFFLINE                DLCTL_OFFLINEIFNOTCONNECTED

/* events */
#define DISPID_EVPROP_ONMOUSEOVER          (DISPID_EVENTS+0)
#define DISPID_EVPROP_ONMOUSEOUT           (DISPID_EVENTS+1)
#define DISPID_EVPROP_ONMOUSEDOWN          (DISPID_EVENTS+2)
#define DISPID_EVPROP_ONMOUSEUP            (DISPID_EVENTS+3)
#define DISPID_EVPROP_ONMOUSEMOVE          (DISPID_EVENTS+4)
#define DISPID_EVPROP_ONKEYDOWN            (DISPID_EVENTS+5)
#define DISPID_EVPROP_ONKEYUP              (DISPID_EVENTS+6)
#define DISPID_EVPROP_ONKEYPRESS           (DISPID_EVENTS+7)
#define DISPID_EVPROP_ONCLICK              (DISPID_EVENTS+8)
#define DISPID_EVPROP_ONDBLCLICK           (DISPID_EVENTS+9)
#define DISPID_EVPROP_ONSELECT             (DISPID_EVENTS+10)
#define DISPID_EVPROP_ONSUBMIT             (DISPID_EVENTS+11)
#define DISPID_EVPROP_ONRESET              (DISPID_EVENTS+12)
#define DISPID_EVPROP_ONHELP               (DISPID_EVENTS+13)
#define DISPID_EVPROP_ONFOCUS              (DISPID_EVENTS+14)
#define DISPID_EVPROP_ONBLUR               (DISPID_EVENTS+15)
#define DISPID_EVPROP_ONROWEXIT            (DISPID_EVENTS+18)
#define DISPID_EVPROP_ONROWENTER           (DISPID_EVENTS+19)
#define DISPID_EVPROP_ONBOUNCE             (DISPID_EVENTS+20)
#define DISPID_EVPROP_ONBEFOREUPDATE       (DISPID_EVENTS+21)
#define DISPID_EVPROP_ONAFTERUPDATE        (DISPID_EVENTS+22)
#define DISPID_EVPROP_ONBEFOREDRAGOVER     (DISPID_EVENTS+23)
#define DISPID_EVPROP_ONBEFOREDROPORPASTE  (DISPID_EVENTS+24)
#define DISPID_EVPROP_ONREADYSTATECHANGE   (DISPID_EVENTS+25)
#define DISPID_EVPROP_ONFINISH             (DISPID_EVENTS+26)
#define DISPID_EVPROP_ONSTART              (DISPID_EVENTS+27)
#define DISPID_EVPROP_ONABORT              (DISPID_EVENTS+28)
#define DISPID_EVPROP_ONERROR              (DISPID_EVENTS+29)
#define DISPID_EVPROP_ONCHANGE             (DISPID_EVENTS+30)
#define DISPID_EVPROP_ONSCROLL             (DISPID_EVENTS+31)
#define DISPID_EVPROP_ONLOAD               (DISPID_EVENTS+32)
#define DISPID_EVPROP_ONUNLOAD             (DISPID_EVENTS+33)
#define DISPID_EVPROP_ONLAYOUT             (DISPID_EVENTS+34)
#define DISPID_EVPROP_ONDRAGSTART          (DISPID_EVENTS+35)
#define DISPID_EVPROP_ONRESIZE             (DISPID_EVENTS+36)
#define DISPID_EVPROP_ONSELECTSTART        (DISPID_EVENTS+37)
#define DISPID_EVPROP_ONERRORUPDATE        (DISPID_EVENTS+38)
#define DISPID_EVPROP_ONBEFOREUNLOAD       (DISPID_EVENTS+39)
#define DISPID_EVPROP_ONDATASETCHANGED     (DISPID_EVENTS+40)
#define DISPID_EVPROP_ONDATAAVAILABLE      (DISPID_EVENTS+41)
#define DISPID_EVPROP_ONDATASETCOMPLETE    (DISPID_EVENTS+42)
#define DISPID_EVPROP_ONFILTER             (DISPID_EVENTS+43)
#define DISPID_EVPROP_ONCHANGEFOCUS        (DISPID_EVENTS+44)
#define DISPID_EVPROP_ONCHANGEBLUR         (DISPID_EVENTS+45)

/* IHTMLDocument */
#define DISPID_IHTMLDOCUMENT_SCRIPT    (DISPID_OMDOCUMENT+1)

/* IHTMLDocument2 */
#define DISPID_IHTMLDOCUMENT2_ALL                     (DISPID_OMDOCUMENT+3)
#define DISPID_IHTMLDOCUMENT2_BODY                    (DISPID_OMDOCUMENT+4)
#define DISPID_IHTMLDOCUMENT2_ACTIVEELEMENT           (DISPID_OMDOCUMENT+5)
#define DISPID_IHTMLDOCUMENT2_APPLETS                 (DISPID_OMDOCUMENT+8)
#define DISPID_IHTMLDOCUMENT2_ANCHORS                 (DISPID_OMDOCUMENT+7)
#define DISPID_IHTMLDOCUMENT2_LINKS                   (DISPID_OMDOCUMENT+9)
#define DISPID_IHTMLDOCUMENT2_FORMS                   (DISPID_OMDOCUMENT+10)
#define DISPID_IHTMLDOCUMENT2_IMAGES                  (DISPID_OMDOCUMENT+11)
#define DISPID_IHTMLDOCUMENT2_TITLE                   (DISPID_OMDOCUMENT+12)
#define DISPID_IHTMLDOCUMENT2_SCRIPTS                 (DISPID_OMDOCUMENT+13)
#define DISPID_IHTMLDOCUMENT2_DESIGNMODE              (DISPID_OMDOCUMENT+14)
#define DISPID_IHTMLDOCUMENT2_EMBEDS                  (DISPID_OMDOCUMENT+15)
#define DISPID_IHTMLDOCUMENT2_SELECTION               (DISPID_OMDOCUMENT+17)
#define DISPID_IHTMLDOCUMENT2_READYSTATE              (DISPID_OMDOCUMENT+18)
#define DISPID_IHTMLDOCUMENT2_FRAMES                  (DISPID_OMDOCUMENT+19)
#define DISPID_IHTMLDOCUMENT2_PLUGINS                 (DISPID_OMDOCUMENT+21)
#define DISPID_IHTMLDOCUMENT2_ALINKCOLOR              (DISPID_OMDOCUMENT+22)
#define DISPID_IHTMLDOCUMENT2_VLINKCOLOR              (DISPID_OMDOCUMENT+23)
#define DISPID_IHTMLDOCUMENT2_LINKCOLOR               (DISPID_OMDOCUMENT+24)
#define DISPID_IHTMLDOCUMENT2_URL                     (DISPID_OMDOCUMENT+25)
#define DISPID_IHTMLDOCUMENT2_LOCATION                (DISPID_OMDOCUMENT+26)
#define DISPID_IHTMLDOCUMENT2_REFERRER                (DISPID_OMDOCUMENT+27)
#define DISPID_IHTMLDOCUMENT2_LASTMODIFIED            (DISPID_OMDOCUMENT+28)
#define DISPID_IHTMLDOCUMENT2_DOMAIN                  (DISPID_OMDOCUMENT+29)
#define DISPID_IHTMLDOCUMENT2_COOKIE                  (DISPID_OMDOCUMENT+30)
#define DISPID_IHTMLDOCUMENT2_EXPANDO                 (DISPID_OMDOCUMENT+31)
#define DISPID_IHTMLDOCUMENT2_CHARSET                 (DISPID_OMDOCUMENT+32)
#define DISPID_IHTMLDOCUMENT2_DEFAULTCHARSET          (DISPID_OMDOCUMENT+33)
#define DISPID_IHTMLDOCUMENT2_PARENTWINDOW            (DISPID_OMDOCUMENT+34)
#define DISPID_IHTMLDOCUMENT2_MIMETYPE                (DISPID_OMDOCUMENT+41)
#define DISPID_IHTMLDOCUMENT2_FILESIZE                (DISPID_OMDOCUMENT+42)
#define DISPID_IHTMLDOCUMENT2_FILECREATEDDATE         (DISPID_OMDOCUMENT+43)
#define DISPID_IHTMLDOCUMENT2_FILEMODIFIEDDATE        (DISPID_OMDOCUMENT+44)
#define DISPID_IHTMLDOCUMENT2_FILEUPDATEDDATE         (DISPID_OMDOCUMENT+45)
#define DISPID_IHTMLDOCUMENT2_SECURITY                (DISPID_OMDOCUMENT+46)
#define DISPID_IHTMLDOCUMENT2_PROTOCOL                (DISPID_OMDOCUMENT+47)
#define DISPID_IHTMLDOCUMENT2_NAMEPROP                (DISPID_OMDOCUMENT+48)
#define DISPID_IHTMLDOCUMENT2_WRITE                   (DISPID_OMDOCUMENT+54)
#define DISPID_IHTMLDOCUMENT2_WRITELN                 (DISPID_OMDOCUMENT+55)
#define DISPID_IHTMLDOCUMENT2_OPEN                    (DISPID_OMDOCUMENT+56)
#define DISPID_IHTMLDOCUMENT2_CLOSE                   (DISPID_OMDOCUMENT+57)
#define DISPID_IHTMLDOCUMENT2_CLEAR                   (DISPID_OMDOCUMENT+58)
#define DISPID_IHTMLDOCUMENT2_QUERYCOMMANDSUPPORTED   (DISPID_OMDOCUMENT+59)
#define DISPID_IHTMLDOCUMENT2_QUERYCOMMANDENABLED     (DISPID_OMDOCUMENT+60)
#define DISPID_IHTMLDOCUMENT2_QUERYCOMMANDSTATE       (DISPID_OMDOCUMENT+61)
#define DISPID_IHTMLDOCUMENT2_QUERYCOMMANDINDETERM    (DISPID_OMDOCUMENT+62)
#define DISPID_IHTMLDOCUMENT2_QUERYCOMMANDTEXT        (DISPID_OMDOCUMENT+63)
#define DISPID_IHTMLDOCUMENT2_QUERYCOMMANDVALUE       (DISPID_OMDOCUMENT+64)
#define DISPID_IHTMLDOCUMENT2_EXECCOMMAND             (DISPID_OMDOCUMENT+65)
#define DISPID_IHTMLDOCUMENT2_EXECCOMMANDSHOWHELP     (DISPID_OMDOCUMENT+66)
#define DISPID_IHTMLDOCUMENT2_CREATEELEMENT           (DISPID_OMDOCUMENT+67)
#define DISPID_IHTMLDOCUMENT2_ELEMENTFROMPOINT        (DISPID_OMDOCUMENT+68)
#define DISPID_IHTMLDOCUMENT2_STYLESHEETS             (DISPID_OMDOCUMENT+69)
#define DISPID_IHTMLDOCUMENT2_TOSTRING                (DISPID_OMDOCUMENT+70)
#define DISPID_IHTMLDOCUMENT2_CREATESTYLESHEET        (DISPID_OMDOCUMENT+71)
#define DISPID_IHTMLDOCUMENT2_ONHELP                  DISPID_EVPROP_ONHELP
#define DISPID_IHTMLDOCUMENT2_ONCLICK                 DISPID_EVPROP_ONCLICK
#define DISPID_IHTMLDOCUMENT2_ONDBLCLICK              DISPID_EVPROP_ONDBLCLICK
#define DISPID_IHTMLDOCUMENT2_ONKEYUP                 DISPID_EVPROP_ONKEYUP
#define DISPID_IHTMLDOCUMENT2_ONKEYDOWN               DISPID_EVPROP_ONKEYDOWN
#define DISPID_IHTMLDOCUMENT2_ONKEYPRESS              DISPID_EVPROP_ONKEYPRESS
#define DISPID_IHTMLDOCUMENT2_ONMOUSEUP               DISPID_EVPROP_ONMOUSEUP
#define DISPID_IHTMLDOCUMENT2_ONMOUSEDOWN             DISPID_EVPROP_ONMOUSEDOWN
#define DISPID_IHTMLDOCUMENT2_ONMOUSEMOVE             DISPID_EVPROP_ONMOUSEMOVE
#define DISPID_IHTMLDOCUMENT2_ONMOUSEOUT              DISPID_EVPROP_ONMOUSEOUT
#define DISPID_IHTMLDOCUMENT2_ONMOUSEOVER             DISPID_EVPROP_ONMOUSEOVER
#define DISPID_IHTMLDOCUMENT2_ONREADYSTATECHANGE      DISPID_EVPROP_ONREADYSTATECHANGE
#define DISPID_IHTMLDOCUMENT2_ONAFTERUPDATE           DISPID_EVPROP_ONAFTERUPDATE
#define DISPID_IHTMLDOCUMENT2_ONROWEXIT               DISPID_EVPROP_ONROWEXIT
#define DISPID_IHTMLDOCUMENT2_ONROWENTER              DISPID_EVPROP_ONROWENTER
#define DISPID_IHTMLDOCUMENT2_ONDRAGSTART             DISPID_EVPROP_ONDRAGSTART
#define DISPID_IHTMLDOCUMENT2_ONSELECTSTART           DISPID_EVPROP_ONSELECTSTART
#define DISPID_IHTMLDOCUMENT2_ONBEFOREUPDATE          DISPID_EVPROP_ONBEFOREUPDATE
#define DISPID_IHTMLDOCUMENT2_ONERRORUPDATE           DISPID_EVPROP_ONERRORUPDATE
#define DISPID_IHTMLDOCUMENT2_BGCOLOR                 DISPID_BACKCOLOR
#define DISPID_IHTMLDOCUMENT2_FGCOLOR                 DISPID_A_COLOR

/* IHTMLElementCollection */
#define DISPID_IHTMLELEMENTCOLLECTION_LENGTH     DISPID_COLLECTION
#define DISPID_IHTMLELEMENTCOLLECTION_TOSTRING   (DISPID_COLLECTION+1)
#define DISPID_IHTMLELEMENTCOLLECTION_TAGS       (DISPID_COLLECTION+2)
#define DISPID_IHTMLELEMENTCOLLECTION__NEWENUM   DISPID_NEWENUM
#define DISPID_IHTMLELEMENTCOLLECTION_ITEM       DISPID_VALUE

/* IHTMLElement */
#define DISPID_IHTMLELEMENT_SETATTRIBUTE         (DISPID_HTMLOBJECT+1)
#define DISPID_IHTMLELEMENT_GETATTRIBUTE         (DISPID_HTMLOBJECT+2)
#define DISPID_IHTMLELEMENT_REMOVEATTRIBUTE      (DISPID_HTMLOBJECT+3)
#define DISPID_IHTMLELEMENT_CLASSNAME            (DISPID_ELEMENT+1)
#define DISPID_IHTMLELEMENT_ID                   (DISPID_ELEMENT+2)
#define DISPID_IHTMLELEMENT_TAGNAME              (DISPID_ELEMENT+4)
#define DISPID_IHTMLELEMENT_OFFSETLEFT           (DISPID_ELEMENT+8)
#define DISPID_IHTMLELEMENT_OFFSETTOP            (DISPID_ELEMENT+9)
#define DISPID_IHTMLELEMENT_OFFSETWIDTH          (DISPID_ELEMENT+10)
#define DISPID_IHTMLELEMENT_OFFSETHEIGHT         (DISPID_ELEMENT+11)
#define DISPID_IHTMLELEMENT_OFFSETPARENT         (DISPID_ELEMENT+12)
#define DISPID_IHTMLELEMENT_DOCUMENT             (DISPID_ELEMENT+18)
#define DISPID_IHTMLELEMENT_SCROLLINTOVIEW       (DISPID_ELEMENT+19)
#define DISPID_IHTMLELEMENT_CONTAINS             (DISPID_ELEMENT+20)
#define DISPID_IHTMLELEMENT_SOURCEINDEX          (DISPID_ELEMENT+24)
#define DISPID_IHTMLELEMENT_RECORDNUMBER         (DISPID_ELEMENT+25)
#define DISPID_IHTMLELEMENT_INNERHTML            (DISPID_ELEMENT+26)
#define DISPID_IHTMLELEMENT_INNERTEXT            (DISPID_ELEMENT+27)
#define DISPID_IHTMLELEMENT_OUTERHTML            (DISPID_ELEMENT+28)
#define DISPID_IHTMLELEMENT_OUTERTEXT            (DISPID_ELEMENT+29)
#define DISPID_IHTMLELEMENT_INSERTADJACENTHTML   (DISPID_ELEMENT+30)
#define DISPID_IHTMLELEMENT_INSERTADJACENTTEXT   (DISPID_ELEMENT+31)
#define DISPID_IHTMLELEMENT_PARENTTEXTEDIT       (DISPID_ELEMENT+32)
#define DISPID_IHTMLELEMENT_ISTEXTEDIT           (DISPID_ELEMENT+34)
#define DISPID_IHTMLELEMENT_CLICK                (DISPID_ELEMENT+33)
#define DISPID_IHTMLELEMENT_FILTERS              (DISPID_ELEMENT+35)
#define DISPID_IHTMLELEMENT_TOSTRING             (DISPID_ELEMENT+36)
#define DISPID_IHTMLELEMENT_CHILDREN             (DISPID_ELEMENT+37)
#define DISPID_IHTMLELEMENT_ALL                  (DISPID_ELEMENT+38)
#define DISPID_IHTMLELEMENT_PARENTELEMENT        STDPROPID_XOBJ_PARENT
#define DISPID_IHTMLELEMENT_STYLE                STDPROPID_XOBJ_STYLE
#define DISPID_IHTMLELEMENT_ONHELP               DISPID_EVPROP_ONHELP
#define DISPID_IHTMLELEMENT_ONCLICK              DISPID_EVPROP_ONCLICK
#define DISPID_IHTMLELEMENT_ONDBLCLICK           DISPID_EVPROP_ONDBLCLICK
#define DISPID_IHTMLELEMENT_ONKEYDOWN            DISPID_EVPROP_ONKEYDOWN
#define DISPID_IHTMLELEMENT_ONKEYUP              DISPID_EVPROP_ONKEYUP
#define DISPID_IHTMLELEMENT_ONKEYPRESS           DISPID_EVPROP_ONKEYPRESS
#define DISPID_IHTMLELEMENT_ONMOUSEOUT           DISPID_EVPROP_ONMOUSEOUT
#define DISPID_IHTMLELEMENT_ONMOUSEOVER          DISPID_EVPROP_ONMOUSEOVER
#define DISPID_IHTMLELEMENT_ONMOUSEMOVE          DISPID_EVPROP_ONMOUSEMOVE
#define DISPID_IHTMLELEMENT_ONMOUSEDOWN          DISPID_EVPROP_ONMOUSEDOWN
#define DISPID_IHTMLELEMENT_ONMOUSEUP            DISPID_EVPROP_ONMOUSEUP
#define DISPID_IHTMLELEMENT_TITLE                STDPROPID_XOBJ_CONTROLTIPTEXT
#define DISPID_IHTMLELEMENT_LANGUAGE             DISPID_A_LANGUAGE
#define DISPID_IHTMLELEMENT_ONSELECTSTART        DISPID_EVPROP_ONSELECTSTART
#define DISPID_IHTMLELEMENT_LANG                 DISPID_A_LANG
#define DISPID_IHTMLELEMENT_ONDRAGSTART          DISPID_EVPROP_ONDRAGSTART
#define DISPID_IHTMLELEMENT_ONBEFOREUPDATE       DISPID_EVPROP_ONBEFOREUPDATE
#define DISPID_IHTMLELEMENT_ONAFTERUPDATE        DISPID_EVPROP_ONAFTERUPDATE
#define DISPID_IHTMLELEMENT_ONERRORUPDATE        DISPID_EVPROP_ONERRORUPDATE
#define DISPID_IHTMLELEMENT_ONROWEXIT            DISPID_EVPROP_ONROWEXIT
#define DISPID_IHTMLELEMENT_ONROWENTER           DISPID_EVPROP_ONROWENTER
#define DISPID_IHTMLELEMENT_ONDATASETCHANGED     DISPID_EVPROP_ONDATASETCHANGED
#define DISPID_IHTMLELEMENT_ONDATAAVAILABLE      DISPID_EVPROP_ONDATAAVAILABLE
#define DISPID_IHTMLELEMENT_ONDATASETCOMPLETE    DISPID_EVPROP_ONDATASETCOMPLETE
#define DISPID_IHTMLELEMENT_ONFILTERCHANGE       DISPID_EVPROP_ONFILTER

/* IHTMLStyle */
#define DISPID_IHTMLSTYLE_PIXELTOP                    DISPID_STYLE
#define DISPID_IHTMLSTYLE_PIXELLEFT                   (DISPID_STYLE+1)
#define DISPID_IHTMLSTYLE_PIXELWIDTH                  (DISPID_STYLE+2)
#define DISPID_IHTMLSTYLE_PIXELHEIGHT                 (DISPID_STYLE+3)
#define DISPID_IHTMLSTYLE_POSTOP                      (DISPID_STYLE+4)
#define DISPID_IHTMLSTYLE_POSLEFT                     (DISPID_STYLE+5)
#define DISPID_IHTMLSTYLE_POSWIDTH                    (DISPID_STYLE+6)
#define DISPID_IHTMLSTYLE_POSHEIGHT                   (DISPID_STYLE+7)
#define DISPID_IHTMLSTYLE_TOSTRING                    (DISPID_STYLE+8)
#define DISPID_IHTMLSTYLE_SETATTRIBUTE                (DISPID_HTMLOBJECT+1)
#define DISPID_IHTMLSTYLE_GETATTRIBUTE                (DISPID_HTMLOBJECT+2)
#define DISPID_IHTMLSTYLE_REMOVEATTRIBUTE             (DISPID_HTMLOBJECT+3)
#define DISPID_IHTMLSTYLE_FONTFAMILY                  DISPID_A_FONTFACE
#define DISPID_IHTMLSTYLE_FONTSTYLE                   DISPID_A_FONTSTYLE
#define DISPID_IHTMLSTYLE_FONTVARIANT                 DISPID_A_FONTVARIANT
#define DISPID_IHTMLSTYLE_FONTWEIGHT                  DISPID_A_FONTWEIGHT
#define DISPID_IHTMLSTYLE_FONTSIZE                    DISPID_A_FONTSIZE
#define DISPID_IHTMLSTYLE_FONT                        DISPID_A_FONT
#define DISPID_IHTMLSTYLE_COLOR                       DISPID_A_COLOR
#define DISPID_IHTMLSTYLE_BACKGROUND                  DISPID_A_BACKGROUND
#define DISPID_IHTMLSTYLE_BACKGROUNDIMAGE             DISPID_A_BACKGROUNDIMAGE
#define DISPID_IHTMLSTYLE_BACKGROUNDREPEAT            DISPID_A_BACKGROUNDREPEAT
#define DISPID_IHTMLSTYLE_BACKGROUNDATTACHMENT        DISPID_A_BACKGROUNDATTACHMENT
#define DISPID_IHTMLSTYLE_BACKGROUNDPOSITION          DISPID_A_BACKGROUNDPOSITION
#define DISPID_IHTMLSTYLE_BACKGROUNDPOSITIONX         DISPID_A_BACKGROUNDPOSX
#define DISPID_IHTMLSTYLE_BACKGROUNDPOSITIONY         DISPID_A_BACKGROUNDPOSY
#define DISPID_IHTMLSTYLE_WORDSPACING                 DISPID_A_WORDSPACING
#define DISPID_IHTMLSTYLE_LETTERSPACING               DISPID_A_LETTERSPACING
#define DISPID_IHTMLSTYLE_TEXTDECORATION              DISPID_A_TEXTDECORATION
#define DISPID_IHTMLSTYLE_TEXTDECORATIONNONE          DISPID_A_TEXTDECORATIONNONE
#define DISPID_IHTMLSTYLE_TEXTDECORATIONUNDERLINE     DISPID_A_TEXTDECORATIONUNDERLINE
#define DISPID_IHTMLSTYLE_TEXTDECORATIONOVERLINE      DISPID_A_TEXTDECORATIONOVERLINE
#define DISPID_IHTMLSTYLE_TEXTDECORATIONLINETHROUGH   DISPID_A_TEXTDECORATIONLINETHROUGH
#define DISPID_IHTMLSTYLE_TEXTDECORATIONBLINK         DISPID_A_TEXTDECORATIONBLINK
#define DISPID_IHTMLSTYLE_VERTICALALIGN               DISPID_A_VERTICALALIGN
#define DISPID_IHTMLSTYLE_TEXTTRANSFORM               DISPID_A_TEXTTRANSFORM
#define DISPID_IHTMLSTYLE_TEXTINDENT                  DISPID_A_TEXTINDENT
#define DISPID_IHTMLSTYLE_LINEHEIGHT                  DISPID_A_LINEHEIGHT
#define DISPID_IHTMLSTYLE_MARGINTOP                   DISPID_A_MARGINTOP
#define DISPID_IHTMLSTYLE_MARGINRIGHT                 DISPID_A_MARGINRIGHT
#define DISPID_IHTMLSTYLE_MARGINBOTTOM                DISPID_A_MARGINBOTTOM
#define DISPID_IHTMLSTYLE_MARGINLEFT                  DISPID_A_MARGINLEFT
#define DISPID_IHTMLSTYLE_MARGIN                      DISPID_A_MARGIN
#define DISPID_IHTMLSTYLE_PADDINGTOP                  DISPID_A_PADDINGTOP
#define DISPID_IHTMLSTYLE_PADDINGRIGHT                DISPID_A_PADDINGRIGHT
#define DISPID_IHTMLSTYLE_PADDINGBOTTOM               DISPID_A_PADDINGBOTTOM
#define DISPID_IHTMLSTYLE_PADDINGLEFT                 DISPID_A_PADDINGLEFT
#define DISPID_IHTMLSTYLE_PADDING                     DISPID_A_PADDING
#define DISPID_IHTMLSTYLE_BORDER                      DISPID_A_BORDER
#define DISPID_IHTMLSTYLE_BORDERTOP                   DISPID_A_BORDERTOP
#define DISPID_IHTMLSTYLE_BORDERRIGHT                 DISPID_A_BORDERRIGHT
#define DISPID_IHTMLSTYLE_BORDERBOTTOM                DISPID_A_BORDERBOTTOM
#define DISPID_IHTMLSTYLE_BORDERLEFT                  DISPID_A_BORDERLEFT
#define DISPID_IHTMLSTYLE_BORDERCOLOR                 DISPID_A_BORDERCOLOR
#define DISPID_IHTMLSTYLE_BORDERTOPCOLOR              DISPID_A_BORDERTOPCOLOR
#define DISPID_IHTMLSTYLE_BORDERRIGHTCOLOR            DISPID_A_BORDERRIGHTCOLOR
#define DISPID_IHTMLSTYLE_BORDERBOTTOMCOLOR           DISPID_A_BORDERBOTTOMCOLOR
#define DISPID_IHTMLSTYLE_BORDERLEFTCOLOR             DISPID_A_BORDERLEFTCOLOR
#define DISPID_IHTMLSTYLE_BORDERWIDTH                 DISPID_A_BORDERWIDTH
#define DISPID_IHTMLSTYLE_BORDERTOPWIDTH              DISPID_A_BORDERTOPWIDTH
#define DISPID_IHTMLSTYLE_BORDERRIGHTWIDTH            DISPID_A_BORDERRIGHTWIDTH
#define DISPID_IHTMLSTYLE_BORDERBOTTOMWIDTH           DISPID_A_BORDERBOTTOMWIDTH
#define DISPID_IHTMLSTYLE_BORDERLEFTWIDTH             DISPID_A_BORDERLEFTWIDTH
#define DISPID_IHTMLSTYLE_BORDERSTYLE                 DISPID_A_BORDERSTYLE
#define DISPID_IHTMLSTYLE_BORDERTOPSTYLE              DISPID_A_BORDERTOPSTYLE
#define DISPID_IHTMLSTYLE_BORDERRIGHTSTYLE            DISPID_A_BORDERRIGHTSTYLE
#define DISPID_IHTMLSTYLE_BORDERBOTTOMSTYLE           DISPID_A_BORDERBOTTOMSTYLE
#define DISPID_IHTMLSTYLE_BORDERLEFTSTYLE             DISPID_A_BORDERLEFTSTYLE
#define DISPID_IHTMLSTYLE_STYLEFLOAT                  DISPID_A_FLOAT
#define DISPID_IHTMLSTYLE_CLEAR                       DISPID_A_CLEAR
#define DISPID_IHTMLSTYLE_DISPLAY                     DISPID_A_DISPLAY
#define DISPID_IHTMLSTYLE_VISIBILITY                  DISPID_A_VISIBILITY
#define DISPID_IHTMLSTYLE_LISTSTYLETYPE               DISPID_A_LISTSTYLETYPE
#define DISPID_IHTMLSTYLE_LISTSTYLEPOSITION           DISPID_A_LISTSTYLEPOSITION
#define DISPID_IHTMLSTYLE_LISTSTYLEIMAGE              DISPID_A_LISTSTYLEIMAGE
#define DISPID_IHTMLSTYLE_LISTSTYLE                   DISPID_A_LISTSTYLE
#define DISPID_IHTMLSTYLE_WHITESPACE                  DISPID_A_WHITESPACE
#define DISPID_IHTMLSTYLE_POSITION                    DISPID_A_POSITION
#define DISPID_IHTMLSTYLE_ZINDEX                      DISPID_A_ZINDEX
#define DISPID_IHTMLSTYLE_OVERFLOW                    DISPID_A_OVERFLOW
#define DISPID_IHTMLSTYLE_PAGEBREAKBEFORE             DISPID_A_PAGEBREAKBEFORE
#define DISPID_IHTMLSTYLE_PAGEBREAKAFTER              DISPID_A_PAGEBREAKAFTER
#define DISPID_IHTMLSTYLE_CSSTEXT                     DISPID_A_STYLETEXT
#define DISPID_IHTMLSTYLE_CURSOR                      DISPID_A_CURSOR
#define DISPID_IHTMLSTYLE_CLIP                        DISPID_A_CLIP
#define DISPID_IHTMLSTYLE_FILTER                      DISPID_A_FILTER
#define DISPID_IHTMLSTYLE_WIDTH                       STDPROPID_XOBJ_WIDTH
#define DISPID_IHTMLSTYLE_HEIGHT                      STDPROPID_XOBJ_HEIGHT
#define DISPID_IHTMLSTYLE_TOP                         STDPROPID_XOBJ_TOP
#define DISPID_IHTMLSTYLE_LEFT                        STDPROPID_XOBJ_LEFT
#define DISPID_IHTMLSTYLE_TEXTALIGN                   STDPROPID_XOBJ_BLOCKALIGN
#define DISPID_IHTMLSTYLE_BACKGROUNDCOLOR             DISPID_BACKCOLOR

/* IHTMLFiltersCollection */
#define DISPID_IHTMLFILTERSCOLLECTION_LENGTH     (DISPID_FILTERS+1)
#define DISPID_IHTMLFILTERSCOLLECTION__NEWENUM   DISPID_NEWENUM
#define DISPID_IHTMLFILTERSCOLLECTION_ITEM       DISPID_VALUE

/* IHTMLSelectionObject */
#define DISPID_IHTMLSELECTIONOBJECT_CREATERANGE   (DISPID_SELECTOBJ+1)
#define DISPID_IHTMLSELECTIONOBJECT_EMPTY         (DISPID_SELECTOBJ+2)
#define DISPID_IHTMLSELECTIONOBJECT_CLEAR         (DISPID_SELECTOBJ+3)
#define DISPID_IHTMLSELECTIONOBJECT_TYPE          (DISPID_SELECTOBJ+4)

/* IHTMLFramesCollection2 */
#define DISPID_IHTMLFRAMESCOLLECTION2_ITEM     0
#define DISPID_IHTMLFRAMESCOLLECTION2_LENGTH   1001

/* IHTMLLocation */
#define DISPID_IHTMLLOCATION_HOST       (DISPID_LOCATION+1)
#define DISPID_IHTMLLOCATION_HOSTNAME   (DISPID_LOCATION+2)
#define DISPID_IHTMLLOCATION_PORT       (DISPID_LOCATION+3)
#define DISPID_IHTMLLOCATION_PATHNAME   (DISPID_LOCATION+4)
#define DISPID_IHTMLLOCATION_SEARCH     (DISPID_LOCATION+5)
#define DISPID_IHTMLLOCATION_HASH       (DISPID_LOCATION+6)
#define DISPID_IHTMLLOCATION_RELOAD     (DISPID_LOCATION+7)
#define DISPID_IHTMLLOCATION_REPLACE    (DISPID_LOCATION+8)
#define DISPID_IHTMLLOCATION_ASSIGN     (DISPID_LOCATION+9)
#define DISPID_IHTMLLOCATION_TOSTRING   (DISPID_LOCATION+10)
#define DISPID_IHTMLLOCATION_HREF       DISPID_VALUE
#define DISPID_IHTMLLOCATION_PROTOCOL   DISPID_LOCATION

/* IHTMLWindow2 */
#define DISPID_IHTMLWINDOW2_HISTORY              2
#define DISPID_IHTMLWINDOW2_CLOSE                3
#define DISPID_IHTMLWINDOW2_OPENER               4
#define DISPID_IHTMLWINDOW2_NAVIGATOR            5
#define DISPID_IHTMLWINDOW2_MOVETO               6
#define DISPID_IHTMLWINDOW2_MOVEBY               7
#define DISPID_IHTMLWINDOW2_RESIZETO             9
#define DISPID_IHTMLWINDOW2_RESIZEBY             8
#define DISPID_IHTMLWINDOW2_NAME                 11
#define DISPID_IHTMLWINDOW2_PARENT               12
#define DISPID_IHTMLWINDOW2_OPEN                 13
#define DISPID_IHTMLWINDOW2_LOCATION             14
#define DISPID_IHTMLWINDOW2_SELF                 20
#define DISPID_IHTMLWINDOW2_TOP                  21
#define DISPID_IHTMLWINDOW2_WINDOW               22
#define DISPID_IHTMLWINDOW2_CLOSED               23
#define DISPID_IHTMLWINDOW2_NAVIGATE             25
#define DISPID_IHTMLWINDOW2_FRAMES               1100
#define DISPID_IHTMLWINDOW2_DEFAULTSTATUS        1101
#define DISPID_IHTMLWINDOW2_STATUS               1102
#define DISPID_IHTMLWINDOW2_SETTIMEOUT           1103
#define DISPID_IHTMLWINDOW2_CLEARTIMEOUT         1104
#define DISPID_IHTMLWINDOW2_ALERT                1105
#define DISPID_IHTMLWINDOW2_CONFIRM              1110
#define DISPID_IHTMLWINDOW2_PROMPT               1111
#define DISPID_IHTMLWINDOW2_IMAGE                1125
#define DISPID_IHTMLWINDOW2_DOCUMENT             1151
#define DISPID_IHTMLWINDOW2_EVENT                1152
#define DISPID_IHTMLWINDOW2__NEWENUM             1153
#define DISPID_IHTMLWINDOW2_SHOWMODALDIALOG      1154
#define DISPID_IHTMLWINDOW2_SHOWHELP             1155
#define DISPID_IHTMLWINDOW2_SCREEN               1156
#define DISPID_IHTMLWINDOW2_OPTION               1157
#define DISPID_IHTMLWINDOW2_FOCUS                1158
#define DISPID_IHTMLWINDOW2_BLUR                 1159
#define DISPID_IHTMLWINDOW2_SCROLL               1160
#define DISPID_IHTMLWINDOW2_CLIENTINFORMATION    1161
#define DISPID_IHTMLWINDOW2_SETINTERVAL          1162
#define DISPID_IHTMLWINDOW2_CLEARINTERVAL        1163
#define DISPID_IHTMLWINDOW2_OFFSCREENBUFFERING   1164
#define DISPID_IHTMLWINDOW2_EXECSCRIPT           1165
#define DISPID_IHTMLWINDOW2_TOSTRING             1166
#define DISPID_IHTMLWINDOW2_SCROLLBY             1167
#define DISPID_IHTMLWINDOW2_SCROLLTO             1168
#define DISPID_IHTMLWINDOW2_EXTERNAL             1169
#define DISPID_IHTMLWINDOW2_ONFOCUS              DISPID_EVPROP_ONFOCUS
#define DISPID_IHTMLWINDOW2_ONBLUR               DISPID_EVPROP_ONBLUR
#define DISPID_IHTMLWINDOW2_ONLOAD               DISPID_EVPROP_ONLOAD
#define DISPID_IHTMLWINDOW2_ONBEFOREUNLOAD       DISPID_EVPROP_ONBEFOREUNLOAD
#define DISPID_IHTMLWINDOW2_ONUNLOAD             DISPID_EVPROP_ONUNLOAD
#define DISPID_IHTMLWINDOW2_ONHELP               DISPID_EVPROP_ONHELP
#define DISPID_IHTMLWINDOW2_ONERROR              DISPID_EVPROP_ONERROR
#define DISPID_IHTMLWINDOW2_ONRESIZE             DISPID_EVPROP_ONRESIZE
#define DISPID_IHTMLWINDOW2_ONSCROLL             DISPID_EVPROP_ONSCROLL

/* IHTMLImageElementFactory */
#define DISPID_IHTMLIMAGEELEMENTFACTORY_CREATE                    DISPID_VALUE

/* IHTMLImgElement */
#define DISPID_IHTMLIMGELEMENT_BORDER             (DISPID_IMGBASE+4)
#define DISPID_IHTMLIMGELEMENT_VSPACE             (DISPID_IMGBASE+5)
#define DISPID_IHTMLIMGELEMENT_HSPACE             (DISPID_IMGBASE+6)
#define DISPID_IHTMLIMGELEMENT_ALT                (DISPID_IMGBASE+2)
#define DISPID_IHTMLIMGELEMENT_SRC                (DISPID_IMGBASE+3)
#define DISPID_IHTMLIMGELEMENT_LOWSRC             (DISPID_IMGBASE+7)
#define DISPID_IHTMLIMGELEMENT_VRML               (DISPID_IMGBASE+8)
#define DISPID_IHTMLIMGELEMENT_DYNSRC             (DISPID_IMGBASE+9)
#define DISPID_IHTMLIMGELEMENT_READYSTATE         (DISPID_IMGBASE+12)
#define DISPID_IHTMLIMGELEMENT_COMPLETE           (DISPID_IMGBASE+10)
#define DISPID_IHTMLIMGELEMENT_LOOP               (DISPID_IMGBASE+11)
#define DISPID_IHTMLIMGELEMENT_ISMAP              (DISPID_IMG+2)
#define DISPID_IHTMLIMGELEMENT_USEMAP             (DISPID_IMG+8)
#define DISPID_IHTMLIMGELEMENT_MIMETYPE           (DISPID_IMG+10)
#define DISPID_IHTMLIMGELEMENT_FILESIZE           (DISPID_IMG+11)
#define DISPID_IHTMLIMGELEMENT_FILECREATEDDATE    (DISPID_IMG+12)
#define DISPID_IHTMLIMGELEMENT_FILEMODIFIEDDATE   (DISPID_IMG+13)
#define DISPID_IHTMLIMGELEMENT_FILEUPDATEDDATE    (DISPID_IMG+14)
#define DISPID_IHTMLIMGELEMENT_PROTOCOL           (DISPID_IMG+15)
#define DISPID_IHTMLIMGELEMENT_HREF               (DISPID_IMG+16)
#define DISPID_IHTMLIMGELEMENT_NAMEPROP           (DISPID_IMG+17)
#define DISPID_IHTMLIMGELEMENT_ALIGN              STDPROPID_XOBJ_CONTROLALIGN
#define DISPID_IHTMLIMGELEMENT_ONLOAD             DISPID_EVPROP_ONLOAD
#define DISPID_IHTMLIMGELEMENT_ONERROR            DISPID_EVPROP_ONERROR
#define DISPID_IHTMLIMGELEMENT_ONABORT            DISPID_EVPROP_ONABORT
#define DISPID_IHTMLIMGELEMENT_NAME               STDPROPID_XOBJ_NAME
#define DISPID_IHTMLIMGELEMENT_WIDTH              STDPROPID_XOBJ_WIDTH
#define DISPID_IHTMLIMGELEMENT_HEIGHT             STDPROPID_XOBJ_HEIGHT
#define DISPID_IHTMLIMGELEMENT_START              DISPID_IMGBASE+13

/* IOmHistory */
#define DISPID_IOMHISTORY_LENGTH    DISPID_HISTORY
#define DISPID_IOMHISTORY_BACK      (DISPID_HISTORY+1)
#define DISPID_IOMHISTORY_FORWARD   (DISPID_HISTORY+2)
#define DISPID_IOMHISTORY_GO        (DISPID_HISTORY+3)

/* IOmNavigator */
#define DISPID_IOMNAVIGATOR_APPCODENAME       DISPID_NAVIGATOR
#define DISPID_IOMNAVIGATOR_APPNAME           (DISPID_NAVIGATOR+1)
#define DISPID_IOMNAVIGATOR_APPVERSION        (DISPID_NAVIGATOR+2)
#define DISPID_IOMNAVIGATOR_USERAGENT         (DISPID_NAVIGATOR+3)
#define DISPID_IOMNAVIGATOR_JAVAENABLED       (DISPID_NAVIGATOR+4)
#define DISPID_IOMNAVIGATOR_TAINTENABLED      (DISPID_NAVIGATOR+5)
#define DISPID_IOMNAVIGATOR_MIMETYPES         (DISPID_NAVIGATOR+6)
#define DISPID_IOMNAVIGATOR_PLUGINS           (DISPID_NAVIGATOR+7)
#define DISPID_IOMNAVIGATOR_COOKIEENABLED     (DISPID_NAVIGATOR+8)
#define DISPID_IOMNAVIGATOR_OPSPROFILE        (DISPID_NAVIGATOR+9)
#define DISPID_IOMNAVIGATOR_TOSTRING          (DISPID_NAVIGATOR+10)
#define DISPID_IOMNAVIGATOR_CPUCLASS          (DISPID_NAVIGATOR+11)
#define DISPID_IOMNAVIGATOR_SYSTEMLANGUAGE    (DISPID_NAVIGATOR+12)
#define DISPID_IOMNAVIGATOR_BROWSERLANGUAGE   (DISPID_NAVIGATOR+13)
#define DISPID_IOMNAVIGATOR_USERLANGUAGE      (DISPID_NAVIGATOR+14)
#define DISPID_IOMNAVIGATOR_PLATFORM          (DISPID_NAVIGATOR+15)
#define DISPID_IOMNAVIGATOR_APPMINORVERSION   (DISPID_NAVIGATOR+16)
#define DISPID_IOMNAVIGATOR_CONNECTIONSPEED   (DISPID_NAVIGATOR+17)
#define DISPID_IOMNAVIGATOR_ONLINE            (DISPID_NAVIGATOR+18)
#define DISPID_IOMNAVIGATOR_USERPROFILE       (DISPID_NAVIGATOR+19)

/* IHTMLMimeTypesCollection */
#define DISPID_IHTMLMIMETYPESCOLLECTION_LENGTH   1

/* IHTMLPluginsCollection */
#define DISPID_IHTMLPLUGINSCOLLECTION_LENGTH    1
#define DISPID_IHTMLPLUGINSCOLLECTION_REFRESH   2

/* IHTMLOpsProfile */
#define DISPID_IHTMLOPSPROFILE_ADDREQUEST       1
#define DISPID_IHTMLOPSPROFILE_CLEARREQUEST     2
#define DISPID_IHTMLOPSPROFILE_DOREQUEST        3
#define DISPID_IHTMLOPSPROFILE_GETATTRIBUTE     4
#define DISPID_IHTMLOPSPROFILE_SETATTRIBUTE     5
#define DISPID_IHTMLOPSPROFILE_COMMITCHANGES    6
#define DISPID_IHTMLOPSPROFILE_ADDREADREQUEST   7
#define DISPID_IHTMLOPSPROFILE_DOREADREQUEST    8
#define DISPID_IHTMLOPSPROFILE_DOWRITEREQUEST   9

/* IHTMLEventObj */
#define DISPID_IHTMLEVENTOBJ_SRCELEMENT     (DISPID_EVENTOBJ+1)
#define DISPID_IHTMLEVENTOBJ_ALTKEY         (DISPID_EVENTOBJ+2)
#define DISPID_IHTMLEVENTOBJ_CTRLKEY        (DISPID_EVENTOBJ+3)
#define DISPID_IHTMLEVENTOBJ_SHIFTKEY       (DISPID_EVENTOBJ+4)
#define DISPID_IHTMLEVENTOBJ_X              (DISPID_EVENTOBJ+5)
#define DISPID_IHTMLEVENTOBJ_Y              (DISPID_EVENTOBJ+6)
#define DISPID_IHTMLEVENTOBJ_RETURNVALUE    (DISPID_EVENTOBJ+7)
#define DISPID_IHTMLEVENTOBJ_CANCELBUBBLE   (DISPID_EVENTOBJ+8)
#define DISPID_IHTMLEVENTOBJ_FROMELEMENT    (DISPID_EVENTOBJ+9)
#define DISPID_IHTMLEVENTOBJ_TOELEMENT      (DISPID_EVENTOBJ+10)
#define DISPID_IHTMLEVENTOBJ_KEYCODE        (DISPID_EVENTOBJ+11)
#define DISPID_IHTMLEVENTOBJ_BUTTON         (DISPID_EVENTOBJ+12)
#define DISPID_IHTMLEVENTOBJ_TYPE           (DISPID_EVENTOBJ+13)
#define DISPID_IHTMLEVENTOBJ_QUALIFIER      (DISPID_EVENTOBJ+14)
#define DISPID_IHTMLEVENTOBJ_REASON         (DISPID_EVENTOBJ+15)
#define DISPID_IHTMLEVENTOBJ_CLIENTX        (DISPID_EVENTOBJ+20)
#define DISPID_IHTMLEVENTOBJ_CLIENTY        (DISPID_EVENTOBJ+21)
#define DISPID_IHTMLEVENTOBJ_OFFSETX        (DISPID_EVENTOBJ+22)
#define DISPID_IHTMLEVENTOBJ_OFFSETY        (DISPID_EVENTOBJ+23)
#define DISPID_IHTMLEVENTOBJ_SCREENX        (DISPID_EVENTOBJ+24)
#define DISPID_IHTMLEVENTOBJ_SCREENY        (DISPID_EVENTOBJ+25)
#define DISPID_IHTMLEVENTOBJ_SRCFILTER      (DISPID_EVENTOBJ+26)

/* IHTMLScreen */
#define DISPID_IHTMLSCREEN_COLORDEPTH             (DISPID_SCREEN+1)
#define DISPID_IHTMLSCREEN_BUFFERDEPTH            (DISPID_SCREEN+2)
#define DISPID_IHTMLSCREEN_WIDTH                  (DISPID_SCREEN+3)
#define DISPID_IHTMLSCREEN_HEIGHT                 (DISPID_SCREEN+4)
#define DISPID_IHTMLSCREEN_UPDATEINTERVAL         (DISPID_SCREEN+5)
#define DISPID_IHTMLSCREEN_AVAILHEIGHT            (DISPID_SCREEN+6)
#define DISPID_IHTMLSCREEN_AVAILWIDTH             (DISPID_SCREEN+7)
#define DISPID_IHTMLSCREEN_FONTSMOOTHINGENABLED   (DISPID_SCREEN+8)

/* IHTMLOptionElementFactory */
#define DISPID_IHTMLOPTIONELEMENTFACTORY_CREATE   DISPID_VALUE

/* IHTMLOptionElement */
#define DISPID_IHTMLOPTIONELEMENT_SELECTED          (DISPID_OPTION+1)
#define DISPID_IHTMLOPTIONELEMENT_VALUE             (DISPID_OPTION+2)
#define DISPID_IHTMLOPTIONELEMENT_DEFAULTSELECTED   (DISPID_OPTION+3)
#define DISPID_IHTMLOPTIONELEMENT_INDEX             (DISPID_OPTION+5)
#define DISPID_IHTMLOPTIONELEMENT_TEXT              (DISPID_OPTION+4)
#define DISPID_IHTMLOPTIONELEMENT_FORM              (DISPID_OPTION+6)

/* IHTMLFormElement */
#define DISPID_IHTMLFORMELEMENT_ACTION     (DISPID_FORM+1)
#define DISPID_IHTMLFORMELEMENT_DIR        (DISPID_FORM+2)
#define DISPID_IHTMLFORMELEMENT_ENCODING   (DISPID_FORM+3)
#define DISPID_IHTMLFORMELEMENT_METHOD     (DISPID_FORM+4)
#define DISPID_IHTMLFORMELEMENT_ELEMENTS   (DISPID_FORM+5)
#define DISPID_IHTMLFORMELEMENT_TARGET     (DISPID_FORM+6)
#define DISPID_IHTMLFORMELEMENT_SUBMIT     (DISPID_FORM+9)
#define DISPID_IHTMLFORMELEMENT_RESET      (DISPID_FORM+10)
#define DISPID_IHTMLFORMELEMENT_TAGS       (DISPID_COLLECTION+2)
#define DISPID_IHTMLFORMELEMENT_NAME       STDPROPID_XOBJ_NAME
#define DISPID_IHTMLFORMELEMENT_ONSUBMIT   DISPID_EVPROP_ONSUBMIT
#define DISPID_IHTMLFORMELEMENT_ONRESET    DISPID_EVPROP_ONRESET
#define DISPID_IHTMLFORMELEMENT_LENGTH     DISPID_COLLECTION
#define DISPID_IHTMLFORMELEMENT__NEWENUM   DISPID_NEWENUM
#define DISPID_IHTMLFORMELEMENT_ITEM       DISPID_VALUE

/* IHTMLStyleSheetsCollection */
#define DISPID_IHTMLSTYLESHEETSCOLLECTION_LENGTH     (DISPID_STYLESHEETS_COL+1)
#define DISPID_IHTMLSTYLESHEETSCOLLECTION__NEWENUM   DISPID_NEWENUM
#define DISPID_IHTMLSTYLESHEETSCOLLECTION_ITEM       DISPID_VALUE

/* IHTMLStyleSheet */
#define DISPID_IHTMLSTYLESHEET_TITLE              (DISPID_STYLESHEET+1)
#define DISPID_IHTMLSTYLESHEET_PARENTSTYLESHEET   (DISPID_STYLESHEET+2)
#define DISPID_IHTMLSTYLESHEET_OWNINGELEMENT      (DISPID_STYLESHEET+3)
#define DISPID_IHTMLSTYLESHEET_READONLY           (DISPID_STYLESHEET+4)
#define DISPID_IHTMLSTYLESHEET_IMPORTS            (DISPID_STYLESHEET+5)
#define DISPID_IHTMLSTYLESHEET_HREF               (DISPID_STYLESHEET+6)
#define DISPID_IHTMLSTYLESHEET_TYPE               (DISPID_STYLESHEET+7)
#define DISPID_IHTMLSTYLESHEET_ID                 (DISPID_STYLESHEET+8)
#define DISPID_IHTMLSTYLESHEET_ADDIMPORT          (DISPID_STYLESHEET+9)
#define DISPID_IHTMLSTYLESHEET_ADDRULE            (DISPID_STYLESHEET+10)
#define DISPID_IHTMLSTYLESHEET_REMOVEIMPORT       (DISPID_STYLESHEET+11)
#define DISPID_IHTMLSTYLESHEET_REMOVERULE         (DISPID_STYLESHEET+12)
#define DISPID_IHTMLSTYLESHEET_MEDIA              (DISPID_STYLESHEET+13)
#define DISPID_IHTMLSTYLESHEET_CSSTEXT            (DISPID_STYLESHEET+14)
#define DISPID_IHTMLSTYLESHEET_RULES              (DISPID_STYLESHEET+15)
#define DISPID_IHTMLSTYLESHEET_DISABLED           STDPROPID_XOBJ_DISABLED

/* IHTMLStyleSheetRulesCollection */
#define DISPID_IHTMLSTYLESHEETRULESCOLLECTION_LENGTH   (DISPID_STYLERULES_COL+1)
#define DISPID_IHTMLSTYLESHEETRULESCOLLECTION_ITEM     DISPID_VALUE

/* IHTMLStyleSheetRule */
#define DISPID_IHTMLSTYLESHEETRULE_SELECTORTEXT   (DISPID_STYLERULE+1)
#define DISPID_IHTMLSTYLESHEETRULE_READONLY       (DISPID_STYLERULE+2)
#define DISPID_IHTMLSTYLESHEETRULE_STYLE          STDPROPID_XOBJ_STYLE

/* IHTMLRuleStyle */
#define DISPID_IHTMLRULESTYLE_SETATTRIBUTE                (DISPID_HTMLOBJECT+1)
#define DISPID_IHTMLRULESTYLE_GETATTRIBUTE                (DISPID_HTMLOBJECT+2)
#define DISPID_IHTMLRULESTYLE_REMOVEATTRIBUTE             (DISPID_HTMLOBJECT+3)
#define DISPID_IHTMLRULESTYLE_FONTFAMILY                  DISPID_A_FONTFACE
#define DISPID_IHTMLRULESTYLE_FONTSTYLE                   DISPID_A_FONTSTYLE
#define DISPID_IHTMLRULESTYLE_FONTVARIANT                 DISPID_A_FONTVARIANT
#define DISPID_IHTMLRULESTYLE_FONTWEIGHT                  DISPID_A_FONTWEIGHT
#define DISPID_IHTMLRULESTYLE_FONTSIZE                    DISPID_A_FONTSIZE
#define DISPID_IHTMLRULESTYLE_FONT                        DISPID_A_FONT
#define DISPID_IHTMLRULESTYLE_COLOR                       DISPID_A_COLOR
#define DISPID_IHTMLRULESTYLE_BACKGROUND                  DISPID_A_BACKGROUND
#define DISPID_IHTMLRULESTYLE_BACKGROUNDIMAGE             DISPID_A_BACKGROUNDIMAGE
#define DISPID_IHTMLRULESTYLE_BACKGROUNDREPEAT            DISPID_A_BACKGROUNDREPEAT
#define DISPID_IHTMLRULESTYLE_BACKGROUNDATTACHMENT        DISPID_A_BACKGROUNDATTACHMENT
#define DISPID_IHTMLRULESTYLE_BACKGROUNDPOSITION          DISPID_A_BACKGROUNDPOSITION
#define DISPID_IHTMLRULESTYLE_BACKGROUNDPOSITIONX         DISPID_A_BACKGROUNDPOSX
#define DISPID_IHTMLRULESTYLE_BACKGROUNDPOSITIONY         DISPID_A_BACKGROUNDPOSY
#define DISPID_IHTMLRULESTYLE_WORDSPACING                 DISPID_A_WORDSPACING
#define DISPID_IHTMLRULESTYLE_LETTERSPACING               DISPID_A_LETTERSPACING
#define DISPID_IHTMLRULESTYLE_TEXTDECORATION              DISPID_A_TEXTDECORATION
#define DISPID_IHTMLRULESTYLE_TEXTDECORATIONNONE          DISPID_A_TEXTDECORATIONNONE
#define DISPID_IHTMLRULESTYLE_TEXTDECORATIONUNDERLINE     DISPID_A_TEXTDECORATIONUNDERLINE
#define DISPID_IHTMLRULESTYLE_TEXTDECORATIONOVERLINE      DISPID_A_TEXTDECORATIONOVERLINE
#define DISPID_IHTMLRULESTYLE_TEXTDECORATIONLINETHROUGH   DISPID_A_TEXTDECORATIONLINETHROUGH
#define DISPID_IHTMLRULESTYLE_TEXTDECORATIONBLINK         DISPID_A_TEXTDECORATIONBLINK
#define DISPID_IHTMLRULESTYLE_VERTICALALIGN               DISPID_A_VERTICALALIGN
#define DISPID_IHTMLRULESTYLE_TEXTTRANSFORM               DISPID_A_TEXTTRANSFORM
#define DISPID_IHTMLRULESTYLE_TEXTINDENT                  DISPID_A_TEXTINDENT
#define DISPID_IHTMLRULESTYLE_LINEHEIGHT                  DISPID_A_LINEHEIGHT
#define DISPID_IHTMLRULESTYLE_MARGINTOP                   DISPID_A_MARGINTOP
#define DISPID_IHTMLRULESTYLE_MARGINRIGHT                 DISPID_A_MARGINRIGHT
#define DISPID_IHTMLRULESTYLE_MARGINBOTTOM                DISPID_A_MARGINBOTTOM
#define DISPID_IHTMLRULESTYLE_MARGINLEFT                  DISPID_A_MARGINLEFT
#define DISPID_IHTMLRULESTYLE_MARGIN                      DISPID_A_MARGIN
#define DISPID_IHTMLRULESTYLE_PADDINGTOP                  DISPID_A_PADDINGTOP
#define DISPID_IHTMLRULESTYLE_PADDINGRIGHT                DISPID_A_PADDINGRIGHT
#define DISPID_IHTMLRULESTYLE_PADDINGBOTTOM               DISPID_A_PADDINGBOTTOM
#define DISPID_IHTMLRULESTYLE_PADDINGLEFT                 DISPID_A_PADDINGLEFT
#define DISPID_IHTMLRULESTYLE_PADDING                     DISPID_A_PADDING
#define DISPID_IHTMLRULESTYLE_BORDER                      DISPID_A_BORDER
#define DISPID_IHTMLRULESTYLE_BORDERTOP                   DISPID_A_BORDERTOP
#define DISPID_IHTMLRULESTYLE_BORDERRIGHT                 DISPID_A_BORDERRIGHT
#define DISPID_IHTMLRULESTYLE_BORDERBOTTOM                DISPID_A_BORDERBOTTOM
#define DISPID_IHTMLRULESTYLE_BORDERLEFT                  DISPID_A_BORDERLEFT
#define DISPID_IHTMLRULESTYLE_BORDERCOLOR                 DISPID_A_BORDERCOLOR
#define DISPID_IHTMLRULESTYLE_BORDERTOPCOLOR              DISPID_A_BORDERTOPCOLOR
#define DISPID_IHTMLRULESTYLE_BORDERRIGHTCOLOR            DISPID_A_BORDERRIGHTCOLOR
#define DISPID_IHTMLRULESTYLE_BORDERBOTTOMCOLOR           DISPID_A_BORDERBOTTOMCOLOR
#define DISPID_IHTMLRULESTYLE_BORDERLEFTCOLOR             DISPID_A_BORDERLEFTCOLOR
#define DISPID_IHTMLRULESTYLE_BORDERWIDTH                 DISPID_A_BORDERWIDTH
#define DISPID_IHTMLRULESTYLE_BORDERTOPWIDTH              DISPID_A_BORDERTOPWIDTH
#define DISPID_IHTMLRULESTYLE_BORDERRIGHTWIDTH            DISPID_A_BORDERRIGHTWIDTH
#define DISPID_IHTMLRULESTYLE_BORDERBOTTOMWIDTH           DISPID_A_BORDERBOTTOMWIDTH
#define DISPID_IHTMLRULESTYLE_BORDERLEFTWIDTH             DISPID_A_BORDERLEFTWIDTH
#define DISPID_IHTMLRULESTYLE_BORDERSTYLE                 DISPID_A_BORDERSTYLE
#define DISPID_IHTMLRULESTYLE_BORDERTOPSTYLE              DISPID_A_BORDERTOPSTYLE
#define DISPID_IHTMLRULESTYLE_BORDERRIGHTSTYLE            DISPID_A_BORDERRIGHTSTYLE
#define DISPID_IHTMLRULESTYLE_BORDERBOTTOMSTYLE           DISPID_A_BORDERBOTTOMSTYLE
#define DISPID_IHTMLRULESTYLE_BORDERLEFTSTYLE             DISPID_A_BORDERLEFTSTYLE
#define DISPID_IHTMLRULESTYLE_STYLEFLOAT                  DISPID_A_FLOAT
#define DISPID_IHTMLRULESTYLE_CLEAR                       DISPID_A_CLEAR
#define DISPID_IHTMLRULESTYLE_DISPLAY                     DISPID_A_DISPLAY
#define DISPID_IHTMLRULESTYLE_VISIBILITY                  DISPID_A_VISIBILITY
#define DISPID_IHTMLRULESTYLE_LISTSTYLETYPE               DISPID_A_LISTSTYLETYPE
#define DISPID_IHTMLRULESTYLE_LISTSTYLEPOSITION           DISPID_A_LISTSTYLEPOSITION
#define DISPID_IHTMLRULESTYLE_LISTSTYLEIMAGE              DISPID_A_LISTSTYLEIMAGE
#define DISPID_IHTMLRULESTYLE_LISTSTYLE                   DISPID_A_LISTSTYLE
#define DISPID_IHTMLRULESTYLE_WHITESPACE                  DISPID_A_WHITESPACE
#define DISPID_IHTMLRULESTYLE_POSITION                    DISPID_A_POSITION
#define DISPID_IHTMLRULESTYLE_ZINDEX                      DISPID_A_ZINDEX
#define DISPID_IHTMLRULESTYLE_OVERFLOW                    DISPID_A_OVERFLOW
#define DISPID_IHTMLRULESTYLE_PAGEBREAKBEFORE             DISPID_A_PAGEBREAKBEFORE
#define DISPID_IHTMLRULESTYLE_PAGEBREAKAFTER              DISPID_A_PAGEBREAKAFTER
#define DISPID_IHTMLRULESTYLE_CSSTEXT                     DISPID_A_STYLETEXT
#define DISPID_IHTMLRULESTYLE_CURSOR                      DISPID_A_CURSOR
#define DISPID_IHTMLRULESTYLE_CLIP                        DISPID_A_CLIP
#define DISPID_IHTMLRULESTYLE_FILTER                      DISPID_A_FILTER
#define DISPID_IHTMLRULESTYLE_TOP                         STDPROPID_XOBJ_TOP
#define DISPID_IHTMLRULESTYLE_LEFT                        STDPROPID_XOBJ_LEFT
#define DISPID_IHTMLRULESTYLE_WIDTH                       STDPROPID_XOBJ_WIDTH
#define DISPID_IHTMLRULESTYLE_HEIGHT                      STDPROPID_XOBJ_HEIGHT
#define DISPID_IHTMLRULESTYLE_TEXTALIGN                   STDPROPID_XOBJ_BLOCKALIGN
#define DISPID_IHTMLRULESTYLE_BACKGROUNDCOLOR             DISPID_BACKCOLOR

#endif /* __MSHTMDID_H__ */
